/**
 * generated by Xtext 2.15.0
 */
package org.xtext.example.mydsl.formula;


/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Var Prop</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.xtext.example.mydsl.formula.VarProp#getId <em>Id</em>}</li>
 * </ul>
 *
 * @see org.xtext.example.mydsl.formula.FormulaPackage#getVarProp()
 * @model
 * @generated
 */
public interface VarProp extends Formula
{
  /**
   * Returns the value of the '<em><b>Id</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Id</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Id</em>' attribute.
   * @see #setId(String)
   * @see org.xtext.example.mydsl.formula.FormulaPackage#getVarProp_Id()
   * @model
   * @generated
   */
  String getId();

  /**
   * Sets the value of the '{@link org.xtext.example.mydsl.formula.VarProp#getId <em>Id</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Id</em>' attribute.
   * @see #getId()
   * @generated
   */
  void setId(String value);

} // VarProp
